org.eclipse.emf.facet.widgets.celleditors.ecore.composite

## Class StringMultiComposite<T>

- java.lang.Object
- - Composite
  - - org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite<java.lang.String>
    - - org.eclipse.emf.facet.widgets.celleditors.ecore.composite.StringMultiComposite<T>

All Implemented Interfaces:
  IWidget2<java.lang.String>

    public class StringMultiComposite<T>
    extends AbstractCellEditorComposite<java.lang.String>

A cell editor for Strings

### Constructor Summary

Constructors
Constructor and Description
`StringMultiComposite(Composite parent, int style)`
`StringMultiComposite(Composite parent, java.lang.Object originalValue)`
`StringMultiComposite(Composite parent, java.lang.Object originalValue, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Button` `getButton()`
`java.lang.String` `getOriginalFieldValue()`
`Composite` `getParentControl()`
`java.lang.String` `getValue()` Get the value from the widget
`void` `setValue(java.lang.String value)` Set the given value in the widget

### Methods inherited from class org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite

`addChangeListener, addCommitListener, getValidator, removeChangeListener, removeCommitListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringMultiComposite

    public StringMultiComposite(Composite parent,
                                java.lang.Object originalValue,
                                int style)

#### StringMultiComposite

    public StringMultiComposite(Composite parent,
                                int style)

#### StringMultiComposite

    public StringMultiComposite(Composite parent,
                                java.lang.Object originalValue)

### Method Detail

#### setValue

    public void setValue(java.lang.String value)

Description copied from interface: `IWidget2`
Set the given value in the widget

#### getValue

    public java.lang.String getValue()

Description copied from interface: `IWidget2`
Get the value from the widget

#### getButton

    public Button getButton()

#### getParentControl

    public Composite getParentControl()

#### getOriginalFieldValue

    public java.lang.String getOriginalFieldValue()